#ifndef __SERIALPORT_H__
#define __SERIALPORT_H__

#include <QSerialPort>
#include "ringbuffer.h"

class SerialPort : public QObject
{
    Q_OBJECT

public:
    explicit SerialPort(QObject *parent = nullptr);
    ~SerialPort();

private:
    QSerialPort m_serialPort;
    ringbuffer_st m_ringbuffer;

signals:
    void pageSwitch(int state = 1);

};

#endif  // SERIALPORT_H